| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::AttitudeDefinitionModel Class Reference

Attitude model for Attitude Definition File. More...

List of all members.

## Public Member Functions
| AttitudeDefinitionModel ()
| Empty constructor.
| AttitudeDefinitionModel (long attModel, long AOCSModel, ParamModel &parMod, HarmonicModel &harmMod, FileModel &fileMod, AngleModel &angleMod, MatrixModel &matrixMod, QuaternionPlusAngle &quatAngMod, QuaternionPlusMatrix &quatMatMod)
| Constructor with parameters.
| AttitudeDefinitionModel (const AttitudeDefinitionModel &attModel)
| Copy constructor.
| ~AttitudeDefinitionModel ()
| Destructor.
void | operator= (const AttitudeDefinitionModel &attModel)
| Operator=.
## Public Attributes
long | attitudeModel
| Attitude model type (AttModelEnum).
long | AOCS
| AOCS model.
ParamModel * | paramModel
HarmonicModel * | harmonicModel
FileModel * | fileModel
AngleModel * | angleModel
MatrixModel * | matrixModel
QuaternionPlusAngle * | quaternionAngleModel
QuaternionPlusMatrix * | quaternionMatrixModel

## Detailed Description

Attitude model for Attitude Definition File.

## Constructor & Destructor Documentation

EECFI::AttitudeDefinitionModel::AttitudeDefinitionModel | ( |  | ) |

Empty constructor.

References angleModel, AOCS, attitudeModel, fileModel, harmonicModel, matrixModel, paramModel, quaternionAngleModel, and quaternionMatrixModel.

EECFI::AttitudeDefinitionModel::AttitudeDefinitionModel | ( | long | attModel,
|  | long | AOCSModel,
|  | ParamModel & | parMod,
|  | HarmonicModel & | harmMod,
|  | FileModel & | fileMod,
|  | AngleModel & | angleMod,
|  | MatrixModel & | matrixMod,
|  | QuaternionPlusAngle & | quatAngMod,
|  | QuaternionPlusMatrix & | quatMatMod |
| ) |  |  |

Constructor with parameters.

References angleModel, AOCS, attitudeModel, fileModel, harmonicModel, matrixModel, paramModel, quaternionAngleModel, and quaternionMatrixModel.

EECFI::AttitudeDefinitionModel::AttitudeDefinitionModel | ( | const AttitudeDefinitionModel & | attModel | ) |

Copy constructor.

attModel AttitudeDefinitionModel object we want to copy.

References angleModel, AOCS, fileModel, harmonicModel, matrixModel, and paramModel.

EECFI::AttitudeDefinitionModel::~AttitudeDefinitionModel | ( |  | ) |

Destructor.

## Member Function Documentation

void EECFI::AttitudeDefinitionModel::operator= | ( | const AttitudeDefinitionModel & | attModel | ) |

Operator=.

attModel AttitudeDefinitionModel object we want to copy.

References angleModel, AOCS, attitudeModel, fileModel, harmonicModel, matrixModel, paramModel, quaternionAngleModel, and quaternionMatrixModel.

## Member Data Documentation

AngleModel* EECFI::AttitudeDefinitionModel::angleModel

Referenced by AttitudeDefinitionModel(), operator=(), and EECFI::AttitudeDefinitionData::read().

long EECFI::AttitudeDefinitionModel::AOCS

AOCS model.

Referenced by AttitudeDefinitionModel(), operator=(), and EECFI::AttitudeDefinitionData::read().

long EECFI::AttitudeDefinitionModel::attitudeModel

Attitude model type (AttModelEnum).

Referenced by AttitudeDefinitionModel(), operator=(), and EECFI::AttitudeDefinitionData::read().

FileModel* EECFI::AttitudeDefinitionModel::fileModel

Referenced by AttitudeDefinitionModel(), operator=(), and EECFI::AttitudeDefinitionData::read().

HarmonicModel* EECFI::AttitudeDefinitionModel::harmonicModel

Referenced by AttitudeDefinitionModel(), operator=(), and EECFI::AttitudeDefinitionData::read().

MatrixModel* EECFI::AttitudeDefinitionModel::matrixModel

Referenced by AttitudeDefinitionModel(), operator=(), and EECFI::AttitudeDefinitionData::read().

ParamModel* EECFI::AttitudeDefinitionModel::paramModel

Referenced by AttitudeDefinitionModel(), operator=(), and EECFI::AttitudeDefinitionData::read().

QuaternionPlusAngle* EECFI::AttitudeDefinitionModel::quaternionAngleModel

Referenced by AttitudeDefinitionModel(), operator=(), and EECFI::AttitudeDefinitionData::read().

QuaternionPlusMatrix* EECFI::AttitudeDefinitionModel::quaternionMatrixModel

Referenced by AttitudeDefinitionModel(), operator=(), and EECFI::AttitudeDefinitionData::read().